﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AlbumBrowse.aspx.cs" Inherits="fbasync.web.AlbumBrowse"
    Async="true" EnableViewState="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Album Browser - fbasync Samples</title>
    <link href="sample.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div style="position: relative; margin-left: auto; background-color: #333;">
        <div style="background-color: #ddd; padding: 10px; width: 200px; float: left;">
            <h3>
                Friends</h3>
            <asp:ListView runat="server" ID="lvFriends">
                <LayoutTemplate>
                    <ul style="list-style-type: none;">
                        <asp:PlaceHolder ID="itemPlaceholder" runat="server"></asp:PlaceHolder>
                    </ul>
                </LayoutTemplate>
                <ItemTemplate>
                    <li><a href="<%# "AlbumBrowse.aspx?owner=" + Eval("uid").ToString() %>">
                        <img src="<%# Eval("pic_square") %>" alt="<%# Eval("name") %>" title="<%# "Albums added by " + Eval("name").ToString() %>" />&nbsp;<%# Eval("name") %></a>
                    </li>
                </ItemTemplate>
                <EmptyDataTemplate>
                    No Friends Found</EmptyDataTemplate>
            </asp:ListView>
        </div>
        <div style="float: left; margin-left: 10px; margin-top: 10px;">
            <h3>
                Albums By <asp:PlaceHolder ID="friendName" runat="server"></asp:PlaceHolder></h3>
            <asp:ListView runat="server" ID="lvAlbums">
                <LayoutTemplate>
                    <ul style="list-style-type: none;">
                        <asp:PlaceHolder ID="itemPlaceholder" runat="server"></asp:PlaceHolder>
                    </ul>
                </LayoutTemplate>
                <ItemTemplate>
                    <li><a href="<%# Eval("link") %>" target="_top">
                        <img src="<%# GetCoverPhoto((fbasync.Album)Container.DataItem).src_small %>" alt="<%# Eval("name") %>"
                            title="<%# Eval("description") %>" /></a><br />
                        <%# Eval("name") %>
                        -
                        <%# Eval("size") %>
                        Photos</li>
                </ItemTemplate>
                <EmptyDataTemplate>
                    No Albums Found</EmptyDataTemplate>
            </asp:ListView>
        </div>
    </div>
    </form>
</body>
</html>
