﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ApplicationTemplates.ascx.cs" Inherits="fbasync.web.Controls.TemplateEditor.ApplicationTemplates" %>
<%@ register tagprefix="fbasync" tagname="storyTemplateBundleItem" src="~/Controls/TemplateEditor/StoryTemplateBundleItem.ascx" %>
<%@ register tagprefix="fbasync" tagname="pager" src="~/Controls/Pager.ascx" %>
<div class="templateListContainer">
  <div style="margin-bottom: 16px">
    <fbasync:pager runat="server" id="uiTemplatePager" pagesize="3" onitemclick="TemplatePager_ItemClick" />
  </div>
  <asp:repeater runat="server" id="uiApplicationTemplates" onitemdatabound="ApplicationTemplates_ItemDataBound">
    <itemtemplate>
      <fbasync:storyTemplateBundleItem 
        runat="server" 
        id="uiTemplateItem" 
        templatecontainercssclass="storyTemplateBundleTable"  
        readonlytextboxcssclass="textBoxReadMode" 
        editmodetextboxcssclass="textBoxEditMode"  
        readmodeshorttextboxcssclass="textBoxShortReadMode" 
        editmodeshorttextboxcssclass="textBoxShortEditMode"  
        selectedtabcssclass="selectedTab"
        unselectedtabcssclass="fakeLink"
      />
    </itemtemplate>
    <separatortemplate><br /></separatortemplate>
  </asp:repeater>
</div>