﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace fbasync
{
    [Serializable]
    public class AsynchronousException
        : ApplicationException
    {
        public AsynchronousException() : base("An exception occurred on a background thread.") { }
        public AsynchronousException(Exception innerException) : base("An exception occurred on a background thread.", innerException) { }
        public AsynchronousException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
