﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="StoryTemplateBundleItem.ascx.cs" Inherits="fbasync.web.Controls.TemplateEditor.StoryTemplateBundleItem" %>
<%@ register tagprefix="fbasync" tagname="storytemplateitem" src="~/Controls/TemplateEditor/StoryTemplateItem.ascx" %>
<%@ register tagprefix="fbasync" tagname="textEditBox" src="~/Controls/TemplateEditor/TextEditBox.ascx" %>
<div>
  <div>
    <asp:localize runat="server" meta:resourcekey="uiBundleId"/>&nbsp;
    <asp:label runat="server" id="uiBundleId" cssclass="dataValue"/>&nbsp;
    (<asp:localize runat="server" meta:resourcekey="uiCreatedTitle"/>&nbsp;<asp:label runat="server" id="uiCreatedDate" cssclass="dataValue" />)&nbsp;&nbsp;
    <span runat="server" id="uiReadToolbar">
      <asp:linkbutton runat="server" id="uiDeleteBundle" onclick="DeleteBundle_Click" meta:resourcekey="uiDeleteBundle" />&nbsp;&nbsp;
      <asp:linkbutton runat="server" id="uiEditBundle" onclick="EditBundle_Click" meta:resourcekey="uiEditBundle" />&nbsp;&nbsp;
    </span>
    <span runat="server" id="uiEditToolbar">
      <asp:linkbutton runat="server" id="uiSaveBundleButton" onclick="SaveBundleButton_Click" meta:resourcekey="uiSaveBundleButton" />&nbsp;&nbsp;
      <asp:linkbutton runat="server" id="uiCancelButton" onclick="CancelButton_Click" meta:resourcekey="uiCancelButton" />
    </span>
  </div>
  <div runat="server" id="uiTemplateContainer" style="margin-top: 4px">
    <div style="padding: 8px 8px 4px 8px">
        <asp:localize runat="server" meta:resourcekey="uiNameTitle"/>&nbsp;&nbsp;
        <asp:textbox runat="server" id="uiNameTextBox" style="width: 200px" />&nbsp;&nbsp;
        <span runat="server" id="uiAppEventsContainer">
          <asp:localize runat="server" meta:resourcekey="uiSelectEventTitle" id="uiSelectEventTitle" />&nbsp;&nbsp;
          <asp:dropdownlist runat="server" id="uiAppEventsList" autopostback="true" onselectedindexchanged="AppEventsList_SelectedIndexChanged" width="240px"  />
        </span>
    </div>
    <div style="padding: 8px; border-bottom: solid 1px #DDDDDD; border-top: solid 1px #DDDDDD">
        <asp:label cssclass="fakeLink" runat="server" meta:resourcekey="uiFullStoryTitle" id="uiFullStoryTitle"/>&nbsp;&nbsp;
        <asp:label cssclass="fakeLink" runat="server" meta:resourcekey="uiOneLineStoriesTitle" id="uiOneLineStoriesTitle"/>&nbsp;&nbsp;
        <asp:label cssclass="fakeLink" id="uiShortStoriesTitle" runat="server" meta:resourcekey="uiShortStoriesTitle"/>
    </div>
    <div style="padding: 4px">
      <input type="hidden" id="uiCurrentTab" runat="server" />
      <div class="storyTemplateBundleContainer">
        <div runat="server" id="uiFullTemplateTab">
          <fbasync:storytemplateitem runat="server" id="uiFullStoryTemplate" actiondisabled="true" />
        </div>
        <div runat="server" id="uiOneLineTemplatesTab">
          <span runat="server" id="uiOneLineToolbar" style="padding: 8px; border-bottom: solid 1px #DDDDDD">
            <asp:linkbutton runat="server" meta:resourcekey="uiAddOneLineStoryButton" onclick="AddOneLineStoryButton_Click" />&nbsp;&nbsp;
            <asp:linkbutton runat="server" meta:resourcekey="uiDeleteOneLineStoryButton" onclick="DeleteOneLineStoryButton_Click" />&nbsp;&nbsp;
          </span>
          <asp:repeater runat="server" id="uiOneLineStories" onitemdatabound="OneLineStories_ItemDataBound">
            <itemtemplate>
              <fbasync:storytemplateitem runat="server" id="uiOneLineStoryTemplate" bodyvisible="false" />
            </itemtemplate>
          </asp:repeater>
        </div>
        <div runat="server" id="uiShortStoryTemplateTab">
          <span runat="server" id="uiShortStoryToolbar" style="padding: 8px; border-bottom: solid 1px #DDDDDD">
            <asp:linkbutton runat="server" meta:resourcekey="uiAddShortStoryButton" onclick="AddShortStoryButton_Click" />&nbsp;&nbsp;
            <asp:linkbutton runat="server" meta:resourcekey="uiDeleteShortStoryButton" onclick="DeleteShortStoryButton_Click" />&nbsp;&nbsp;
          </span>
          <asp:repeater runat="server" id="uiShortStories" onitemdatabound="ShortStories_ItemDataBound">
            <itemtemplate>
              <fbasync:storytemplateitem runat="server" id="uiShortStoryTemplate" isshorttemplate="true" />
            </itemtemplate>
          </asp:repeater>
        </div>
      </div>
     </div>
  </div>
</div>
