﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TemplateEditor.aspx.cs" Inherits="fbasync.web.TemplateEditor" meta:resourcekey="Page" async="true" validaterequest="false" maintainscrollpositiononpostback="true" %>
<%@ register tagprefix="fbasync" tagname="applicationtemplates" src="~/Controls/TemplateEditor/ApplicationTemplates.ascx" %>
<%@ register tagprefix="fbasync" tagname="applicationList" src="~/Controls/TemplateEditor/ApplicationList.ascx" %>
<%@ register tagprefix="fbasync" tagname="errorText" src="~/Controls/ErrorText.ascx" %>
<%@ register tagprefix="fbasync" tagname="templateeditormenu" src="~/Controls/TemplateEditor/TemplateEditorMenu.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
  <link href="main.css?1" rel="stylesheet" type="text/css" />
  <script type="text/javascript" src="Scripts/templateEditor.js" >
  </script>
</head>
<body>
    <form runat="server">
    <div class="sizeController">
    
        <div runat="server" visible="false">
          <asp:linkbutton runat="server" text="Test set user preference (not uses session key)" onclick="TestSetUserPref_Click"/>
          <br /><br />
          <asp:linkbutton runat="server" text="Test define association (uses session key)" onclick="TestDefineAss_Click"/>
          <br /><br />
          <asp:linkbutton runat="server" text="Test create object type (not uses session key)" onclick="TestCreateObjectType_Click"/>
          <br /><br />
        </div>
    
        <%-- Error text container --%>
        <fbasync:errorText runat="server" id="uiErrorText" />
        <%-- Error text container (end) --%>
    
         <%-- Application list --%>
        <fbasync:applicationList runat="server" id="uiApplicationList" />
        <%-- Application list (end) --%>
        
        <%-- Editor menu --%>
        <fbasync:templateeditormenu runat="server" id="uiEditorMenu" />
        <%-- Editor menu (end) --%>
        
        <%-- Application templates --%>
        <div class="tableStop">
          <fbasync:applicationtemplates runat="server" id="uiApplicationTemplates" />
        </div>
        <%-- Application templates (end) --%>
        
    </div>
    </form>
</body>
</html>
